%{

/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
  
#include <string.h>
#include "admin_y.h"

extern "C" {
  int yywrap() ;
  int yyparse() ;
}

%}

IDENT           [a-zA-Z_][a-zA-Z_0-9]*
FILENAME        \/*[a-zA-Z_0-9\/][a-zA-Z_0-9\/]*
INT             [0-9][0-9]*

%s DIR NDIR

%%

[ \t\n]		;

create		{return CREATE;}

delete		{return DELETE;}

move		{return MOVE;}

display		{return PRINT;}

schema		{return SCHEMA;}

server		{return SERVER;}

servers		{return SERVERS;}

volume		{return VOLUME;}

volumes		{return VOLUMES;}

cluster		{return CLUSTER;}

clusters	{return CLUSTERS;}

class		{return CLASS;}

classes		{return CLASSES;}

in		{return IN;}

for		{return FOR;}

log		{return LOG;}

file		{BEGIN DIR ; return File; }

abort           {return ABORT;}

commit          {return COMMIT;}

data            {return DATA;}

names           {return NAMES;}

name            {return NAME;}

with            {return WITH;}

id              {return ID;}

quit            {return QUIT;}

{INT}           {
		  strcpy(yylval.text, (char*)yytext);
		  return INT;
                }
<DIR>{FILENAME} {
		  strcpy(yylval.text, (char*)yytext);
                  BEGIN NDIR ;
		  return FILENAME;
		}
{IDENT}		{
		  strcpy(yylval.text, (char*)yytext);
		  return IDENT;
		}

%%

